diff --git policycoreutils/policycoreutils.spec policycoreutils/policycoreutils.spec.tmp
index 92eb862938..c8b8f44d33 100644
--- policycoreutils/policycoreutils.spec
+++ policycoreutils/policycoreutils.spec.tmp
@@ -9,7 +9,7 @@
 Summary: SELinux policy core utilities
 Name:	 policycoreutils
 Version: 2.6
-Release: 7%{?dist}
+Release: 8%{?dist}
 License: GPLv2
 Group:	 System Environment/Base
 # https://github.com/SELinuxProject/selinux/wiki/Releases
@@ -217,7 +217,10 @@ by python 3 in an SELinux environment.
 %{python3_sitelib}/sepolicy*.egg-info
 %{python3_sitelib}/sepolicy/__pycache__
 
-%package python
+%package -n python2-policycoreutils
+%{?python_provide:%python_provide python2-policycoreutils}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: SELinux policy core python utilities
 Group:	 System Environment/Base
 Requires:policycoreutils = %{version}-%{release}
@@ -228,11 +231,11 @@ Requires: python-IPy
 Requires: checkpolicy
 Requires: setools-python
 
-%description python
+%description -n python2-policycoreutils
 The policycoreutils-python package contains the management tools use to manage
 an SELinux environment.
 
-%files python
+%files -n python2-policycoreutils
 %{python_sitearch}/seobject.py*
 %{python_sitearch}/sepolgen
 %{python_sitelib}/sepolicy/templates
@@ -445,6 +448,10 @@ The policycoreutils-restorecond package contains the restorecond service.
 %systemd_postun_with_restart restorecond.service
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6-8
+- Python 2 subpackage renamed to python2-policycoreutils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Jul 28 2017 Petr Lautrbach <plautrba@redhat.com> - 2.6-7
 - Make 'sepolicy manpage' and 'sepolicy transition' faster
 - open_init_pty: restore stdin/stdout to blocking upon exit
diff --git portmidi/portmidi.spec portmidi/portmidi.spec.tmp
index ec2edd2e9d..158dbc9b49 100644
--- portmidi/portmidi.spec
+++ portmidi/portmidi.spec.tmp
@@ -1,7 +1,7 @@
 Summary:        Real-time Midi I/O Library
 Name:           portmidi
 Version:        217
-Release:        19%{?dist}
+Release:        20%{?dist}
 License:        MIT
 Group:          System Environment/Libraries
 URL:            http://portmedia.sourceforge.net/
@@ -39,12 +39,13 @@ implementations for music and other media. PortMidi sub-project provides a
 real-time MIDI input/output library. This package contains the header files
 and the documentation of PortMidi libraries.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python wrapper for %{name}
 Group:          System Environment/Libraries
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 PortMedia is a set of simple clean APIs and cross-platform library
 implementations for music and other media. PortMidi sub-project provides a
 real-time MIDI input/output library. This package contains the python
@@ -203,7 +204,7 @@ rm -f %{buildroot}%{_libdir}/libportmidi_s.so
 %{_datadir}/icons/hicolor/128x128/apps/pmdefaults-icon.png
 %{_datadir}/applications/pmdefaults.desktop
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %doc pm_python/README_PYTHON.txt
 %{python2_sitearch}/pyportmidi/
 
@@ -218,6 +219,10 @@ rm -f %{buildroot}%{_libdir}/libportmidi_s.so
 %{_libdir}/lib*.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 217-20
+- Python 2 subpackage renamed to python2-portmidi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 217-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git powerpc-utils-python/powerpc-utils-python.spec powerpc-utils-python/powerpc-utils-python.spec.tmp
index 63a00baeaa..9aa9fa4eb3 100644
--- powerpc-utils-python/powerpc-utils-python.spec
+++ powerpc-utils-python/powerpc-utils-python.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           powerpc-utils-python
 Version:        1.2.1
-Release:        13%{?gitcommit:.git%{gitcommitshort}}%{?dist}
+Release:        14%{?gitcommit:.git%{gitcommitshort}}%{?dist}
 Summary:        Python utilities for PowerPC platforms
 
 Group:          System Environment/Base
@@ -13,14 +13,24 @@ URL:            https://github.com./nfont/%{name}
 Source0:        https://github.com/nfont/%{name}/archive/%{?gitcommit}.tar.gz#/%{name}-%{gitcommitshort}.tar.gz
 
 BuildRequires:  python-devel
-Requires:       pygtk2 >= 2.0
 
 BuildArch:      noarch
 
 
-%description
+%global _description\
 Python based utilities for maintaining and servicing PowerPC systems.
 
+%description %_description
+
+%package -n python2-powerpc-utils
+Summary: %summary
+Requires:       pygtk2 >= 2.0
+%{?python_provide:%python_provide python2-powerpc-utils}
+# Remove before F30
+Provides: powerpc-utils-python = %{version}-%{release}
+
+%description -n python2-powerpc-utils %_description
+
 %prep
 %setup -q %{?gitcommit:-n %{name}-%{gitcommit}}
 
@@ -30,7 +40,7 @@ make
 %install
 make install DESTDIR=%{buildroot} FILES=""
 
-%files
+%files -n python2-powerpc-utils
 %{_bindir}/amsvis
 %dir %{python_sitelib}/powerpcAMS
 %{python_sitelib}/powerpcAMS/*.py
@@ -40,6 +50,10 @@ make install DESTDIR=%{buildroot} FILES=""
 %doc README COPYRIGHT
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-14.gitf7bdc5c
+- Python 2 subpackage renamed to python2-powerpc-utils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-13.gitf7bdc5c
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyatspi/pyatspi.spec pyatspi/pyatspi.spec.tmp
index 3a0a56c1c9..3f71909b7e 100644
--- pyatspi/pyatspi.spec
+++ pyatspi/pyatspi.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           pyatspi
 Version:        2.25.3
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Python bindings for at-spi
 
 Group:          Development/Languages
@@ -30,19 +30,28 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-dbus
 %endif
 
-Requires:       at-spi2-core
-Requires:       pygobject3
-
 BuildArch:      noarch
 
-%description
-at-spi allows assistive technologies to access GTK-based
-applications. Essentially it exposes the internals of applications for
-automation, so tools such as screen readers, magnifiers, or even
-scripting interfaces can query and interact with GUI controls.
+%global _description\
+at-spi allows assistive technologies to access GTK-based\
+applications. Essentially it exposes the internals of applications for\
+automation, so tools such as screen readers, magnifiers, or even\
+scripting interfaces can query and interact with GUI controls.\
+\
+This package includes a python2 client library for at-spi.\
+
+
+%description %_description
 
-This package includes a python2 client library for at-spi.
+%package -n python2-pyatspi
+Summary: %summary
+Requires:       pygobject3
+Requires:       at-spi2-core
+%{?python_provide:%python_provide python2-pyatspi}
+# Remove before F30
+Provides: pyatspi = %{version}-%{release}
 
+%description -n python2-pyatspi %_description
 
 %if !0%{?rhel}
 %package -n python3-pyatspi
@@ -101,7 +110,7 @@ sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' python3-examples/magFocusTracker.
 # Done by the 'build' step, with --enable-tests
 
 
-%files
+%files -n python2-pyatspi
 %license COPYING COPYING.GPL
 %doc AUTHORS README
 %doc examples/magFocusTracker.py
@@ -117,6 +126,10 @@ sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' python3-examples/magFocusTracker.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.25.3-3
+- Python 2 subpackage renamed to python2-pyatspi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.3-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git py-bcrypt/py-bcrypt.spec py-bcrypt/py-bcrypt.spec.tmp
index 9522dd3209..baa851e229 100644
--- py-bcrypt/py-bcrypt.spec
+++ py-bcrypt/py-bcrypt.spec.tmp
@@ -16,7 +16,7 @@
 Summary:	Python bindings for OpenBSD's Blowfish password hashing code
 Name:		py-bcrypt
 Version:	0.4
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	BSD with advertising
 Group:		Development/Libraries
 URL:		http://code.google.com/p/py-bcrypt/
@@ -30,18 +30,28 @@ BuildRequires:	python3-devel
 
 %global __provides_exclude_from ^(%{python2_sitearch}/.*\\.so|%{_datadir}/py-bcrypt/.*)$
 
-%description
-python-bcrypt is a Python wrapper of OpenBSD's Blowfish password hashing
-code, as described in "A Future-Adaptable Password Scheme" by Niels
-Provos and David Mazières.
-
-This system hashes passwords using a version of Bruce Schneier's Blowfish
-block cipher with modifications designed to raise the cost of off-line
-password cracking and frustrate fast hardware implementation. The
-computation cost of the algorithm is parametised, so it can be increased
-as computers get faster. The intent is to make a compromise of a password
-database less likely to result in an attacker gaining knowledge of the
-plain-text passwords (e.g. using John the Ripper). 
+%global _description\
+python-bcrypt is a Python wrapper of OpenBSD's Blowfish password hashing\
+code, as described in "A Future-Adaptable Password Scheme" by Niels\
+Provos and David Mazières.\
+\
+This system hashes passwords using a version of Bruce Schneier's Blowfish\
+block cipher with modifications designed to raise the cost of off-line\
+password cracking and frustrate fast hardware implementation. The\
+computation cost of the algorithm is parametised, so it can be increased\
+as computers get faster. The intent is to make a compromise of a password\
+database less likely to result in an attacker gaining knowledge of the\
+plain-text passwords (e.g. using John the Ripper).
+
+%description %_description
+
+%package -n python2-py-bcrypt
+Summary: %summary
+%{?python_provide:%python_provide python2-py-bcrypt}
+# Remove before F30
+Provides: py-bcrypt = %{version}-%{release}
+
+%description -n python2-py-bcrypt %_description
 
 %if 0%{?with_python3}
 %package -n python3-py-bcrypt
@@ -84,7 +94,7 @@ rm -rf %{buildroot}
 %clean
 rm  -rf %{buildroot}
 
-%files
+%files -n python2-py-bcrypt
 %defattr(-,root,root,-)
 %doc LICENSE README TODO
 %{python2_sitearch}/py_bcrypt-%{version}-py2.*
@@ -99,6 +109,10 @@ rm  -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-12
+- Python 2 subpackage renamed to python2-py-bcrypt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pycscope/pycscope.spec pycscope/pycscope.spec.tmp
index d7816a7617..3e86c4bb43 100644
--- pycscope/pycscope.spec
+++ pycscope/pycscope.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           pycscope
 Version:        1.2.1
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Generates a cscope index of Python source trees
 
 License:        GPLv2
@@ -17,13 +17,23 @@ Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{versi
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools python-nose
-Requires:       python-setuptools
 
-%description
-A python script to generate a cscope index from a Python source tree. %{name}
-uses Python's own parser and AST to generate the index, so it is a bit more
+%global _description\
+A python script to generate a cscope index from a Python source tree. %{name}\
+uses Python's own parser and AST to generate the index, so it is a bit more\
 accurate than plain cscope.
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+Requires:       python-setuptools
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: pycscope = %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{name}
 Summary:        Generates a cscope index of Python source trees
@@ -92,7 +102,7 @@ popd
 #%endif # with_python3
 
  
-%files
+%files -n python2-%{name}
 %doc README LICENSE doc/dwh-cscopeFormat.txt
 %{_bindir}/%{name}
 %{python_sitelib}/%{name}-%{version}-py?.?.egg-info
@@ -107,6 +117,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-11
+- Python 2 subpackage renamed to python2-pycscope
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyelftools/pyelftools.spec pyelftools/pyelftools.spec.tmp
index 751f43d95e..505bb4028f 100644
--- pyelftools/pyelftools.spec
+++ pyelftools/pyelftools.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:		pyelftools
 Version:	0.22
-Release:	0.12.git%{commitdate}.%{shortcommit}%{?dist}
+Release:	0.13.git%{commitdate}.%{shortcommit}%{?dist}
 Summary:	Pure-Python library for parsing and analyzing ELF files
 
 License:	Public Domain
@@ -41,14 +41,15 @@ Pure-Python library for parsing and analyzing ELF files
 and DWARF debugging information.
 
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:	Pure-Python library for parsing and analyzing ELF files
 
 BuildArch:	noarch
 Requires:	python-construct
 Provides:	%{name} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Pure-Python library for parsing and analyzing ELF files
 and DWARF debugging information.
 
@@ -123,7 +124,7 @@ mv %{buildroot}/usr/bin/readelf.py %{buildroot}/usr/bin/py3readelf
 %endif
 
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %doc CHANGES LICENSE README* TODO
 %{__python_sitelib}/*elftools*
 %{_bindir}/pyreadelf
@@ -137,6 +138,10 @@ mv %{buildroot}/usr/bin/readelf.py %{buildroot}/usr/bin/py3readelf
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.22-0.13.git20130619.a1d9681
+- Python 2 subpackage renamed to python2-pyelftools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-0.12.git20130619.a1d9681
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyfits/pyfits.spec pyfits/pyfits.spec.tmp
index c6ae0b9782..6b0b0acc53 100644
--- pyfits/pyfits.spec
+++ pyfits/pyfits.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: pyfits
 Version: 3.4
-Release: 6%{?dist}
+Release: 7%{?dist}
 Summary: Python interface to FITS
 
 Group: Development/Languages
@@ -16,14 +16,23 @@ BuildRequires: python2-devel python-setuptools numpy
 BuildRequires: python2-d2to1 >= 0.2.12
 BuildRequires: cfitsio-devel
 BuildRequires: python-nose
-Requires: numpy
 
+%global _description\
+PyFITS provides an interface to FITS formatted files under the Python\
+scripting language. It is useful both for interactive data analysis and for\
+writing analysis scripts in Python using FITS files as either input or output.
+
+%description %_description
+
+%package -n python2-pyfits
+Summary: %summary
 Provides: python2-pyfits
+Requires: numpy
+%{?python_provide:%python_provide python2-pyfits}
+# Remove before F30
+Provides: pyfits = %{version}-%{release}
 
-%description 
-PyFITS provides an interface to FITS formatted files under the Python
-scripting language. It is useful both for interactive data analysis and for
-writing analysis scripts in Python using FITS files as either input or output.
+%description -n python2-pyfits %_description
 
 %if 0%{?with_python3}
 %package -n python3-pyfits
@@ -87,7 +96,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 chmod 755 %{buildroot}%{python2_sitearch}/pyfits/compression.so
 
-%files
+%files -n python2-pyfits
 %doc FAQ.txt README.txt CHANGES.txt
 %license LICENSE.txt
 %exclude %{_bindir}/*
@@ -102,6 +111,10 @@ chmod 755 %{buildroot}%{python2_sitearch}/pyfits/compression.so
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.4-7
+- Python 2 subpackage renamed to python2-pyfits
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyhunspell/pyhunspell.spec pyhunspell/pyhunspell.spec.tmp
index 82576adbdf..1378055055 100644
--- pyhunspell/pyhunspell.spec
+++ pyhunspell/pyhunspell.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           pyhunspell
 Version:        0.4.1
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Python bindings for hunspell
 
 Group:          Development/Languages
@@ -22,10 +22,20 @@ BuildRequires:  python3-devel
 # make it build with hunspell-1.5:
 Patch0: pyhunspell-0.4.0-hunspell15.patch
 
-%description
-These are python bindings for hunspell, that allow to use the hunspell library
+%global _description\
+These are python bindings for hunspell, that allow to use the hunspell library\
 in python.
 
+%description %_description
+
+%package -n python2-pyhunspell
+Summary: %summary
+%{?python_provide:%python_provide python2-pyhunspell}
+# Remove before F30
+Provides: pyhunspell = %{version}-%{release}
+
+%description -n python2-pyhunspell %_description
+
 %if 0%{?with_python3}
 %package python3
 Summary:        Python3 bindings for hunspell allowing to use the hunspell library in Python3
@@ -67,7 +77,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
 
-%files
+%files -n python2-pyhunspell
 %doc AUTHORS.md CHANGELOG.md COPYING COPYING.LESSER gpl-3.0.txt lgpl-3.0.txt PKG-INFO README.md
 %{python_sitearch}/hunspell.so
 %{python_sitearch}/hunspell-*.egg-info
@@ -78,6 +88,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-8
+- Python 2 subpackage renamed to python2-pyhunspell
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyicu/pyicu.spec pyicu/pyicu.spec.tmp
index 951ea27659..90c562f4ef 100644
--- pyicu/pyicu.spec
+++ pyicu/pyicu.spec.tmp
@@ -4,7 +4,7 @@
 %define		realname PyICU
 Name:		pyicu
 Version:	1.5
-Release:	21%{?dist}
+Release:	22%{?dist}
 Summary:	Python extension wrapping IBM's ICU C++ libraries
 Group:		Development/Tools
 License:	MIT
@@ -23,12 +23,22 @@ Patch0: 0001-fix-build-with-icu-53.1.patch
 Patch1: 0001-disable-failing-test.patch
 Patch2: pyicu-1.5-fix-build-with-icu-56.1.patch
 
-%description
-PyICU is Python extension wrapping IBM's International Components 
-for Unicode C++ library (ICU). ICU is a mature, widely used set of 
-C/C++ and Java libraries providing Unicode and Globalization support 
-for software applications. ICU is widely portable and gives applications 
-the same results on all platforms and between C/C++ and Javasoftware. 
+%global _description\
+PyICU is Python extension wrapping IBM's International Components\
+for Unicode C++ library (ICU). ICU is a mature, widely used set of\
+C/C++ and Java libraries providing Unicode and Globalization support\
+for software applications. ICU is widely portable and gives applications\
+the same results on all platforms and between C/C++ and Javasoftware.
+
+%description %_description
+
+%package -n python2-pyicu
+Summary: %summary
+%{?python_provide:%python_provide python2-pyicu}
+# Remove before F30
+Provides: pyicu = %{version}-%{release}
+
+%description -n python2-pyicu %_description
 
 %package -n python3-pyicu
 Summary: Python3 extension wrapping IBM's ICU C++ libraries
@@ -76,7 +86,7 @@ popd
 # Remove tests
 rm -rf %{buildroot}%{python2_sitearch}/tests %{buildroot}%{python3_sitearch}/tests
 
-%files
+%files -n python2-pyicu
 %defattr(-,root,root,-)
 %doc LICENSE README CHANGES CREDITS
 %{python2_sitearch}/*
@@ -86,6 +96,10 @@ rm -rf %{buildroot}%{python2_sitearch}/tests %{buildroot}%{python3_sitearch}/tes
 %{python3_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5-22
+- Python 2 subpackage renamed to python2-pyicu
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-21
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pykickstart/pykickstart.spec pykickstart/pykickstart.spec.tmp
index b5e2899437..43a342c04a 100644
--- pykickstart/pykickstart.spec
+++ pykickstart/pykickstart.spec.tmp
@@ -1,6 +1,6 @@
 Name:      pykickstart
 Version:   2.36
-Release:   2%{?dist}
+Release:   3%{?dist}
 License:   GPLv2 and MIT
 Group:     System Environment/Libraries
 Summary:   Python utilities for manipulating kickstart files.
@@ -37,13 +37,15 @@ can be found in the packages python-kickstart and python3-kickstart
 respectively.
 
 # Python 2 library
-%package -n python-kickstart
+%package -n python2-kickstart
+%{?python_provide:%python_provide python2-kickstart}
+%{?python_provide:%python_provide python2-pykickstart}
 Summary:  Python 2 library for manipulating kickstart files.
 Requires: python-six
 Requires: python-requests
 Requires: python-ordered-set
 
-%description -n python-kickstart
+%description -n python2-kickstart
 Python 2 library for manipulating kickstart files.  The binaries are found in
 the pykickstart package.
 
@@ -98,7 +100,7 @@ popd
 %{_bindir}/ksshell
 %{_mandir}/man1/*
 
-%files -n python-kickstart
+%files -n python2-kickstart
 %defattr(-,root,root,-)
 %doc docs/2to3
 %doc docs/programmers-guide
@@ -121,6 +123,10 @@ popd
 %{python3_sitelib}/pykickstart/locale/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.36-3
+- Python 2 subpackage renamed to python2-pykickstart
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.36-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pymilia/pymilia.spec pymilia/pymilia.spec.tmp
index 030daf975e..2afed74190 100644
--- pymilia/pymilia.spec
+++ pymilia/pymilia.spec.tmp
@@ -6,7 +6,7 @@
 
 Name: pymilia
 Version: 1.0.0
-Release: 15%{?dist}
+Release: 16%{?dist}
 Summary: Python wrappers for milia
 License: GPLv3+
 
@@ -17,19 +17,28 @@ Source0: ftp://astrax.fis.ucm.es/pub/software/pymilia/%{name}-%{version}.tar.gz
 BuildRequires: python-devel python-setuptools 
 BuildRequires: Cython milia-devel >= 1.0.0
 
-Provides: python2-pymilia
-
 # we don't want to provide private python extension libs
 %{?filter_setup:
 %filter_provides_in %{python2_sitearch}/.*\.so$ 
 %filter_setup
 }
 
-%description
-Python wrappers for milia. Milia is a C++ library created to 
-compute cosmological distances and ages in the 
+%global _description\
+Python wrappers for milia. Milia is a C++ library created to\
+compute cosmological distances and ages in the\
 Friedmann-Lemaître-Robertson-Walker metric.
 
+%description %_description
+
+%package -n python2-pymilia
+Summary: %summary
+Provides: python2-pymilia
+%{?python_provide:%python_provide python2-pymilia}
+# Remove before F30
+Provides: pymilia = %{version}-%{release}
+
+%description -n python2-pymilia %_description
+
 %if 0%{?with_python3}
 %package -n python3-pymilia
 Summary: Python wrappers for milia
@@ -77,7 +86,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 chmod 755 %{buildroot}%{python2_sitearch}/milia/*.so
  
-%files
+%files -n python2-pymilia
 %doc README.txt NEWS.txt
 %license LICENSE.txt
 %{python2_sitearch}/milia/
@@ -92,6 +101,10 @@ chmod 755 %{buildroot}%{python2_sitearch}/milia/*.so
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-16
+- Python 2 subpackage renamed to python2-pymilia
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyodbc/pyodbc.spec pyodbc/pyodbc.spec.tmp
index 932e96773d..c5f6ca3554 100644
--- pyodbc/pyodbc.spec
+++ pyodbc/pyodbc.spec.tmp
@@ -11,14 +11,13 @@
 
 Name:           pyodbc
 Version:        3.0.10
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Python DB API 2.0 Module for ODBC
 Group:          Development/Languages
 License:        MIT
 URL:            https://github.com/mkleehammer/pyodbc
 Source0:        https://github.com/mkleehammer/pyodbc/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires:       unixODBC, python >= 2.4
 BuildRequires:  unixODBC-devel
 BuildRequires:  python-devel
 
@@ -26,11 +25,22 @@ BuildRequires:  python-devel
 BuildRequires:  python3-devel
 %endif
 
-%description
-A Python DB API 2 and 3 module for ODBC. This project provides an up-to-date, 
-convenient interface to ODBC using native data types like datetime and 
+%global _description\
+A Python DB API 2 and 3 module for ODBC. This project provides an up-to-date,\
+convenient interface to ODBC using native data types like datetime and\
 decimal.
 
+%description %_description
+
+%package -n python2-%{modulename}
+Summary: %summary
+Requires:       unixODBC, python >= 2.4
+%{?python_provide:%python_provide python2-%{modulename}}
+# Remove before F30
+Provides: pyodbc = %{version}-%{release}
+
+%description -n python2-%{modulename} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{modulename}
 Summary:        Python DB API 2.0 Module for ODBC
@@ -76,7 +86,7 @@ popd
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-%{modulename}
 %{!?_licensedir:%global license %%doc}
 %license python2/LICENSE.txt
 %doc python2/README.md python2/notes.txt
@@ -91,6 +101,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.10-9
+- Python 2 subpackage renamed to python2-pyodbc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git PyPAM/PyPAM.spec PyPAM/PyPAM.spec.tmp
index 377975347d..7afd9d93aa 100644
--- PyPAM/PyPAM.spec
+++ PyPAM/PyPAM.spec.tmp
@@ -10,7 +10,7 @@
 Summary:        PAM bindings for Python
 Name:           PyPAM
 Version:        0.5.0
-Release:        29%{?dist}
+Release:        30%{?dist}
 # Note that the upstream site is dead.
 Source0:        http://www.pangalactic.org/PyPAM/%{name}-%{version}.tar.gz
 Url:            http://www.pangalactic.org/PyPAM
@@ -24,14 +24,24 @@ License:        LGPLv2
 Group:          Development/Libraries
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python2-devel pam-devel
-Requires:       python
 %filter_provides_in %{python_sitearch}/PAM.so$
 %filter_provides_in %{python3_sitearch}/PAM*.so$
 %filter_setup
 
-%description
+%global _description\
 PAM (Pluggable Authentication Module) bindings for Python.
 
+%description %_description
+
+%package -n python2-pypam
+Summary: %summary
+Requires:       python
+%{?python_provide:%python_provide python2-pypam}
+# Remove before F30
+Provides: PyPAM = %{version}-%{release}
+
+%description -n python2-pypam %_description
+
 %if 0%{?with_python3}
 %package -n python3-PyPAM
 Summary:        PAM bindings for Python 3
@@ -92,7 +102,7 @@ PYTHONPATH=build/lib.linux-`uname -m`-%{python3_version}/ %{__python3} tests/Pam
 popd
 %endif
 
-%files
+%files -n python2-pypam
 %defattr(-, root, root, -)
 %{python_sitearch}/PAM.so
 %{python_sitearch}/*.egg-info
@@ -108,6 +118,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-30
+- Python 2 subpackage renamed to python2-pypam
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-29
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyparted/pyparted.spec pyparted/pyparted.spec.tmp
index 1ea6deda1a..10ceff402d 100644
--- pyparted/pyparted.spec
+++ pyparted/pyparted.spec.tmp
@@ -4,7 +4,7 @@ Summary: Python module for GNU parted
 Name:    pyparted
 Epoch:   1
 Version: 3.11.0
-Release: 4%{?dist}
+Release: 5%{?dist}
 License: GPLv2+
 Group:   System Environment/Libraries
 URL:     https://github.com/rhinstaller/pyparted
@@ -22,10 +22,20 @@ BuildRequires: parted-devel >= 3.2-18
 BuildRequires: pkgconfig
 BuildRequires: e2fsprogs
 
-%description
-Python module for the parted library.  It is used for manipulating
+%global _description\
+Python module for the parted library.  It is used for manipulating\
 partition tables.
 
+%description %_description
+
+%package -n python2-pyparted
+Summary: %summary
+%{?python_provide:%python_provide python2-pyparted}
+# Remove before F30
+Provides: pyparted = %{version}-%{release}
+
+%description -n python2-pyparted %_description
+
 %if 0%{?with_python3}
 %package -n python3-pyparted
 Summary: Python 3 module for GNU parted
@@ -75,7 +85,7 @@ popd
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-pyparted
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING NEWS README TODO
 %{python_sitearch}/_ped.so
@@ -92,6 +102,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:3.11.0-5
+- Python 2 subpackage renamed to python2-pyparted
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.11.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
